Package: groovy.swing.factory

## [Groovy] Class ScrollPaneFactory

- groovy.swing.factory.ScrollPaneFactory

-     class ScrollPaneFactory
      extends BeanFactory

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class BeanFactory` | `leaf`

  - Inherited properties
    Properties inherited from class | Properties
    --- | ---
    `class BeanFactory` | `beanClass`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `ScrollPaneFactory()`
    `ScrollPaneFactory(Class klass)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `void` | `setChild(FactoryBuilderSupport factory, Object parent, Object child)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class BeanFactory` | `isLeaf, newInstance`
    `class AbstractFactory` | `isHandlesNodeChildren, isLeaf, onFactoryRegistration, onHandleNodeAttributes, onNodeChildren, onNodeCompleted, setChild, setParent`

- - ### Constructor Detail

    - #### ScrollPaneFactory()

    - #### ScrollPaneFactory(Class klass)

  - ### Method Detail

    - #### void setChild(FactoryBuilderSupport factory, Object parent, Object child)